from sqlalchemy.orm import Session
import hashlib
from .. import models, schemas

def get_items(db:Session, skip: int = 0, limit: int = 100):
    return db.query(models.items.Item).offset(skip).limit(limit).all()

def create_user_items(db: Session, item: schemas.items.ItemCreate, user_id: int):
    db_item = models.items.Item(**item.dict(), owner_id=user_id)
    db.add(db_item)
    db.commit()
    db.refresh(db_item)
    return db_item